services:
  n8n:
    container_name: n8n
    entrypoint:
    - tini
    - --
    - /docker-entrypoint.sh
    environment:
      N8N_RELEASE_TYPE: stable
      NODE_ENV: production
      NODE_ICU_DATA: /usr/local/lib/node_modules/full-icu
      NODE_VERSION: 22.17.0
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      SHELL: /bin/sh
      YARN_VERSION: 1.22.22
    image: n8nio/n8n:latest
    networks:
    - bridge
    ports:
    - 5678:5678/tcp
    restart: always
    user: node
    working_dir: /home/node
